#include "tycho.h"
#include "mapprops.h"
#include "menu.h"
#include "../ui/ui_menu.h"
#include "../ui/ui_about.h"
#include "bindings.h"

#include <QFileDialog>
#include <iostream>

Menu::Menu(QWidget *parent) :
   QMainWindow(parent),
   ui(new Ui::Menu)
{
   ui->setupUi(this);
   dbgPrintFunc();
}

Menu::~Menu()
{
   dbgPrintFunc();
}

void Menu::mapNew()
{
   auto proj = projects.emplace_back(new Project);
}

void Menu::mapOpen()
{
   auto fname =
      QFileDialog::getOpenFileName(
         this,
         tr("Open Map File"),
         QString(),
         tr("Marathon Map files (*.scen *.sceA Map)"));

   auto proj = projects.emplace_back(new Project);
   proj->open(fname);
}

void Menu::openAbout()
{
   QDialog   dlg{this};
   Ui::About about{};

   about.setupUi(&dlg);
   about.labelVer->setText(tr(TYCHO_VERSION));
   about.labelAuthors->setText(tr(TYCHO_AUTHORS));

   dlg.exec();
}

void Menu::openMapProperties()
{
   MapProps props{this};

   props.exec();
}

// EOF
